:root {
	--pink: #f92084;
	--green: #0f2228;
	--bg: #0f2228;
	--glass: rgba(255, 255, 255, 0.06);
	--stroke: rgba(255, 255, 255, 0.14);
	--text: rgba(255, 255, 255, 0.92);
	--muted: rgba(255, 255, 255, 0.68);
	--pink2: #ff4aa0;
	--mint: #7bffe6;
}

body.xsp {
  margin:0;
  background: var(--green);
  color:#fff;
  font-family: system-ui, -apple-system, Segoe UI, Roboto, Arial, sans-serif;
}

a.bigtime-anchors:link {
  color: #f92084 !important;
  text-decoration: underline;
  cursor: pointer;
}
a.bigtime-anchors:visited {
  color: #f92084 !important;
  text-decoration: underline;
}

.bigtime-bg-pink {
	background: #f92084 !important;
}

.step-border {
	border: 1px solid #4f4f4f;
}

.bg-gradient-dark {
	color: #f92084 !important;
	background: #000000 !important;
	background: linear-gradient(180deg, #000000 0, #000000) !important;
}

nav .navbar-light a .nav-link:not (.active ):not (:hover ) {
	color: #f92084 !important;
}

/* Force the top nav bar to go white on hover*/
nav.navbar-light a.nav-link:hover {
	color: #ffffff !important;
}

.hero-wrapper {
  position: relative;
  width: 100%;
  min-height: 70vh;
  overflow: hidden;
}

.hero-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 1;
}

/* New wrapper for headline + overlay columns */
.hero-overlay-container {
  position: relative;
  z-index: 2;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 6rem; /* space below top menu */
}

/* Remove h-100 and absolute from overlay columns */
.overlay {
  position: relative;
  top: auto;
  height: auto;
  z-index: 2;
  padding: 0;
}


.row-wrapperX {
	padding-top: 30px;
	padding-bottom: 30px;
	background: #ffffffC0
}

/* Small screen Column 1 overlay */
.overlay-col1 {
	position: absolute;
	top: 50%;
	left: 0;
	transform: translateY(-50%);
	z-index: 2;
	padding: 1rem;
}

/* Images inside overlays scale properly */
.overlay img, .overlay-col1 img {
	max-width: 70%;
	height: auto;
	display: block;
	margin-left: auto;
	margin-right: auto;
}

#ajax-spinner {
	position: absolute;
    inset: 0;
    z-index: 9999;
	display: flex;
    justify-content: center;
    align-items: center;
    background: #00000088;
    text-align: center;
    display: none;
}

.custom-loader {
	width: 6vw;
	height: 6vw;
	border-radius: 50%;
	background: radial-gradient(farthest-side, #f92084 94%, #0000) top/4px 4px no-repeat, conic-gradient(#0000 30%, #f92084);
	-webkit-mask: radial-gradient(farthest-side, #0000 calc(100% - 4px),
			#000 0);
	animation: s3 1s infinite linear;
}

@keyframes s3 {
	100% {
		transform: rotate(1turn)
	}

}

.album-thumb {
	width: 80px;
	height: auto;
}

.album-thumb-vote {
	width: 60px;
}

.album-cover {
	max-width: 70%;
	height: auto;
}

.comp-box {
	background: #00000090;
	width: 80%;
}

.comp-box-middle {
	background: #000000;
}

.bigtimeamp-logo {
	max-width: 60% !important;
	height: auto;
}

.timer-label {
	font-size: 16px;
	width: 80px;
	background: #000000;
	border-radius: 5%;
	opacity: 1;
}

.timer-number {
	color: #f92084;
	font-size: 30px;
}

/* PRIZES BANNER */
.row-wrapper {
	border-radius: 2em !important;
	background: black;
	border: 1px solid #ffffff40;
	border-radius: 2em;
	inset: 0;
	background: radial-gradient(900px 260px at 18% 35%, rgba(255, 42, 139, 0.26), transparent 60%), radial-gradient(900px 260px at 70% 40%, rgba(123, 255, 230, 0.12), transparent 55%), radial-gradient(700px 240px at 84% 70%, rgba(255, 42, 139, 0.12), transparent 60%);
	overflow: hidden;
	filter: saturate(1.1);
}

.amp-plus-logo {
  max-width: 77%;
  height: auto;
  min-width: 100px;
}

.prize-cards {
  gap: 12px;
  overflow:hidden;
  padding-bottom: 1rem;
  scroll-behavior: smooth;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.prize-cards::-webkit-scrollbar {
      display: none;
    }

.prize-box {
  border-radius: 1.25em;
  border: 1px solid #ffffff40;
  width: 200px !important;
  justify-content: center;
  font-size: 14px;
  flex-direction: column;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  transform: translateZ(0);
  will-change: transform;
}


.prize-box-icon {
  font-size: 40px;
}

.prize-title {
  font-family: 'Anton';
  letter-spacing: 1px;
  color: #dddddd;
}

.track-wrapper {
	background: #0f2228;
}

.steps-wrapper {
	background: #000000;
}

.track-container {
	background: #000000;
}

.track-row {
	border-bottom: 1px solid #87989d;
}

.album-title {
	font-size: 30px;
}

.artist-vote {
	font-size: 26px;
}

.step-title {
	max-width: 70%;
}

.jj-yellow {
	color: #f9ddad;
}

.glow {
	color: #f9ddad;
	text-shadow: 0 0 5px #bc7444, 0 0 10px #bc7444, 0 0 20px #bc7444, 0 0
		40px #bc7444;
	/*     0 0 2px #bc7444,
    0 0 4px #bc7444,
    0 0 8px #bc7444; */
}

.pink-glow {
	color: #f92084;
    text-shadow:
        0 0 18px rgba(249, 32, 132, 0.3),
        0 0 18px rgba(249, 32, 132, 0.3),
        0 0 18px rgba(249, 32, 132, 0.3);
}

.pink-glow-vote {
	color: #f92084;
	text-shadow: 0 0 19px rgb(201 25 106), 0 0 10px rgba(249, 32, 132, 7.3), 0 0 10px rgba(185, 29, 102, 0.65);
}

.play-pause-img {
	font-size: 48px;
}

.play-column {
	padding-right: 2vw;
}

.spotify-logo {
	width: 4vw; /* scales relative to button size */
	height: auto;
	min-width: 30px;
	max-width: 60px;
}

.vote-icon {
	width: 2.5vw; /* scales relative to button size */
	height: auto;
	min-width: 30px;
	max-width: 60px;
}

.play-pause-btn, .vote-btn {
	background: transparent; /* no default background */
	border: none; /* remove button borders */
	padding: 0; /* no extra spacing */
	cursor: pointer;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 10vw; /* responsive width */
	max-width: 60px; /* prevent it from growing too large */
	min-width: 30px; /* prevent it from being too small */
	aspect-ratio: 1; /* maintain perfect square/circle */
	border-radius: 50%; /* circular clickable area */
}

.play-pause-img {
	width: 4vw; /* scales relative to button size */
	height: auto;
	min-width: 30px;
	max-width: 60px;
	pointer-events: none;
	/* clicks register on the button */
	display: block;
	pointer-events: none;
}

.play-pause-img-vote {
	width: 2.5vw; /* scales relative to button size */
	min-width: 30px;
}

.lyrics {
	color: #f9ddad;
}

.easy-steps {
	width: 60%;
	height: auto;
}

.img-ghost {
	visibility: hidden;
}

@media (min-width : 1200px) {
	.hero-font {
		font-size: 60px;
	}

	.album-title {
		font-size: 30px;
	}

	.artist-vote {
		font-size: 26px;
	}
}

@media (max-width : 1199.98px) {
	.hero-font {
		font-size: 45px;
	}

	.timer-number {
		font-size: 24px
	}

	.comp-box {
		width: 100%
	}

	.album-thumb {
		width: 80px;
		height: auto;
	}

	.album-thumb-vote {
		width: 60px;
	}

}

@media ( max-width : 991.98px) {
	.hero-font {
		font-size: 40px;
	}
	.timer-number {
		font-size: 24px
	}
	.album-title {
		font-size: 24px;
	}
	.artist-vote {
		font-size: 22px;
	}
	
	.album-thumb {
		width: 50px;
		height: auto;
	}
	.album-thumb-vote {
		width: 60px;
	}
	.easy-steps {
	width: 80%;
	height: auto;
	} 
}

@media ( max-width : 767.98px) {
	.hero-font {
		font-size: 35px;
	}
	.timer-number {
		font-size: 22px
	}
	.album-title {
		font-size: 22px;
	}
	.artist-vote {
		font-size: 20px;
	}
	.album-thumb {
		width: 60px;
		height: auto;
	}
	.album-thumb-vote {
		width: 40px;
	}
}

@media ( max-width : 575.98px) {
	.hero-font {
		font-size: 30px;
	}
	.timer-number {
		font-size: 20px
	}
	.album-title {
		font-size: 18px;
	}
	.artist-vote {
		font-size: 14px;
	}
	.album-thumb {
		width: 40px;
		height: auto;
	}
	.album-thumb-vote {
		width: 40px;
	}
	.easy-steps {
	width: 100%;
	height: auto;
}
}

.v1-hero{
  min-height: 84vh;
  display:flex;
  align-items:center;
  background:url("https://assets.bigtimemusic.live/comps/just-jared/hero-image-bg-teal.jpg");
  background-size: cover;
  background-position: 60% center;
}

.v1-hero-dashboard {
	min-height: 70vh;
}


/* .v1-hero{
  min-height: 84vh;
  display:flex;
  align-items:center;
  background:
    radial-gradient(900px 520px at 50% 20%, rgba(15,34,40,.65), transparent 70%),
    linear-gradient(180deg, rgba(15,34,40,.35), rgba(0,0,0,.55)),
    url("https://assets.bigtimemusic.live/comps/just-jared/hero-image-bg-teal.jpg");
  background-size: cover;
  background-position: 60% center;
} */

/* .v1-hero{
  min-height: 84vh;
  display:flex;
  align-items:center;
  background:
    radial-gradient(900px 520px at 50% 20%, rgba(15,34,40,.88), transparent 60%),
    linear-gradient(180deg, rgba(15,34,40,.55), rgba(0,0,0,.72)),
    url("https://i.postimg.cc/qRNp62kC/hero-image-bg-teal.jpg");
  background-size: cover;
  background-position: 60% center;
} */


.v1-eyebrow{ letter-spacing:.12em; opacity:1; }

.v1-title{
  font-size: clamp(3.1rem, 4vw, 3.8rem);
  line-height: 1.05;
  text-shadow: 0 10px 30px rgba(0,0,0,.35);
}

.v1-sub{ opacity:.92; max-width: 60ch; margin: 0 auto; }
@media (min-width: 992px){ .v1-sub{ margin:0; } }

.v1-flow{
  opacity:.9;
  font-size: 1.05rem;
}

.v1-card{
  background: rgba(0,0,0,.42);
  border: 1px solid rgba(255,255,255,.12);
  border-radius: 22px;
  backdrop-filter: blur(12px);
  box-shadow: 0 24px 90px rgba(0,0,0,.45);
}

.v1-btn-primary{
  background: var(--pink);
  border: 1px solid var(--pink);
  color:#fff;
  font-weight: 850;
  border-radius: 14px;
}
.v1-btn-primary:hover{ filter: brightness(1.05); color:#fff; }

.v1-btn-ghost{
  background: rgba(255,255,255,.08) !important;
  border: 1px solid rgba(255,255,255,.18);
  color: rgba(255,255,255,.92);
  border-radius: 14px;
}
.v1-btn-ghost:hover{
  background: rgba(255,255,255,.12);
  border-color: rgba(255,255,255,.30);
  color:#fff;
}

.v1-pill{
  background: rgba(255,255,255,.20);
  border: 1px solid rgba(255,255,255,.14);
  padding: .34rem .6rem;
  border-radius: 999px;
/*   font-size: .9rem; */
}
.v1-time{
  background: rgba(0,0,0,.55);
  border: 1px solid rgba(255,255,255,.10);
  padding: .54rem .55rem;
  border-radius: 12px;
  font-weight: 900;
  min-width: 64px;
  text-align:center;
  color: #f92084;
}
.v1-unit{ opacity:.75; font-weight:700; margin-left:.25rem; color: white; }

.v1-logo{ height: 60px; width:auto; opacity:.95; filter: drop-shadow(0 6px 18px rgba(0,0,0,.35)); }
.v1-cover{
  width: 160px; height: 160px;
  object-fit: cover;
/*   border-radius: 18px; */
  box-shadow: 0 18px 55px rgba(0,0,0,.55);
  border: 1px solid rgba(255,255,255,.12);
/*   transition: all 0.1s ease; */
  cursor: zoom-in;
  z-index: 1;
}

@media (hover: hover) and (pointer: fine) {
	.v1-cover:hover {
	  width: 600px !important;
	  height: 600px !important;
	  
	  position: fixed !important;
	  top: 50% !important;
	  left: 50% !important;
	  transform: translate(-50%, -50%) !important;
	  
	  z-index: 9999 !important;     /* appear above everything */
	  box-shadow: 0 25px 70px rgba(0,0,0,0.55);
	  border-radius: 12px;          /* optional – looks nicer */
	}
}

.v1-list{ display:grid; gap:1.2rem; }
.v1-item{ display:flex; align-items:center; gap:.55rem; opacity:.92; }
.v1-dot{ width:10px; height:10px; border-radius:999px; background: rgba(255,255,255,.75); }

@media (max-width:575.98px){
  .v1-btn-primary, .v1-btn-ghost{ width: 100%; }
}

.date-badge {
	position: absolute;
	top: 0;
	left: 50%;
	transform: translate(-50%, -50%);
	white-space: nowrap;
	z-index: 2;
	background: #000000;
	font-family: Anton;
	border: 1px solid #898989;
	color: #f92084;
}

.card-container {
	background: #0f2228;
	border-radius: 1.25rem;
	border: 1px solid #ffffff20;
}

.phase-title {
	font-family: Anton;
}

.track-select-wrapper {
    position: relative;
}

.track-select-wrapper select {
    background: black !important;
    color: white;
    font-size: 20px;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    padding-right: 40px; 
    border: 1px solid #dde4ea !important;
    outline: none;
}

.track-select-wrapper::after {
    content: "▼";
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    color: white;
    pointer-events: none;
    font-size: 14px;
}

.track-select-wrapper select option {
    background: black !important;
    color: white;
}

/* Make sure it stays visible on all interactive states */
.track-select-wrapper select:focus,
.track-select-wrapper select:active,
.track-select-wrapper select:hover {
    border: 1px solid #dde4ea !important;
    background: black !important;
    color: white !important;
    outline: none; 
	
	               /* removes ugly blue focus ring */
}

.vote-cancel, .vote-close {
	color: #f92084;
	text-decoration: underline;
	font-weight: bold;
	pointer-events: auto;
	cursor: pointer !important;
}

.vote-disabled {
	opacity: 0.5;
	pointer-events: none;
	cursor:none;
	font-family: Anton;
}

.vote-header {
	height: 100px;
	border-top: 5px solid white;
	border-bottom: 5px solid white;
	font-family: Anton;
}

[id^="st-"] .st-btn {
	border-radius: 50% !important;
}

#popup .sharethis-inline-share-buttons {
    width: 100% !important;
    min-width: 300px;  
}


#popup {
	position: fixed;
	padding: 15px 15px;
	background: rgba(0, 0, 0, 0.8);
	color: #fff;
	border-radius: 10px;
	border: 1px solid white;
	pointer-events: none;
	opacity: 0;
	transition: opacity 0.3s ease, transform 0.3s ease;
	transform: translateX(-50%) translateY(-10px);
	z-index: 9999;
	pointer-events: auto;
	font-size: 20px;
	display: flex;
	flex-direction: column;
	/* min-width: 360px; */
}

.popup-main {
    display: flex;          
    align-items: center;    
}

#popup.show {
  opacity: 1;
  transform: translateX(-50%) translateY(0);
  pointer-events: auto;
}





